FugroViewer - Introduction

Features

  • Display ASPRS LiDAR Data Exchange Format Standard (LAS) files (up to LAS 1.4).
  • Display LAZ lossless LiDAR compression files created from LASzip - a free product of rapidlasso GmbH
  • Import and display ASCII, 32-bit GeoTIFF, 32-bit Erdas, and GeoSAR formats.
  • Export and filter LAS files to ASCII (XYZ) and ESRI SHP formats.
  • Display LiDAR data in orthographic, 3D perspective view, and cross section/profile views.
  • Color, grayscale, and intensity shaded TIN display.
  • Point cloud display by classification, return number, elevation, intensity, RGB, file, or LAS source ID.
  • Contour overlay generation.
  • Point of Interest (POI) marker and Area of Interest (AOI) polygon collection and editing.
  • Ancillary data display including geo-referenced TIFF background imagery and ESRI shapefile overlay.
  • Display 3D shape files in 3D perspective view.

Minimum Recommended System Requirements

  • Microsoft Windows XP, Vista, Windows 7, Windows 8, Windows 10
  • 1 GB RAM
  • Three button wheel mouse
  • 1024 x 768 (or higher) video resolution

©2020 Fugro USA Land, Inc.

All Rights Reserved


FugroViewer - Quick Start Guide

Quick Start Guide

Introduction

The following is a brief overview of FugroViewer's data display and navigation capabilities. For detailed instructions on LiDAR data display using FugroViewer, please refer to the User Interface section of this manual.

Open a LiDAR File

Use the Open LiDAR File(s) button [image] to locate and select a LiDAR file. LAS, LAZ, ASCII (.XYZ), Erdas (.img), GeoSAR (.hdr), and TIFF (32-bit GeoTIFF) files may be selected.

Navigation

The default FugroViewer tool mode is the Zoom Tool [image] . The Zoom Tool is controlled by the left, right, and middle mouse buttons. The left button zooms in, the right button zooms out, and the middle button restores the previous zoom. A single click of the left or right buttons will zoom two times in or out to or from the current cursor location. Clicking and dragging the left or right buttons will select a zoom window to zoom in or out. If you have a wheel mouse, rotating the wheel will zoom in and out at the current cursor location.

Immediately to the right of the Zoom Tool (on the toolbar) is the Zoom Full Extent [image] button. Zoom Full Extent will restore the display extents to the entire dataset.

To the left of the Zoom Tool is the Dynamic Pan [image] button. Dynamic Pan allows you to "grab" and move the data display horizontally and/or vertically by pressing and holding the left mouse button while in the data window.

Data Display Options

Initally, FugroViewer displays a dataset as a 2D point cloud with the point color scaled to each point's elevation. You may also display points colored by classification, intensity, source ID, file, return number, or RGB (LAS v1.2). Use the Point Color Display Buttons [image] to choose the display option that best suits your needs.

Using the Display Color Shaded TIN button [image] you can quickly switch from a point cloud to a TIN display. The Settings menu includes a TIN Color menu item allowing TIN coloring by elevation, grayscale, intensity, or RGB.

To the left of the TIN button is the Display Contours [image] button. Clicking the Display Contours button will prompt for the included classes, desired contour interval, and line colors. You can make changes later by selecting the Contour Settings item from the Settings menu.

POI and AOI

The Point of Interest (POI) Marker Tool [image] and Area of Interest (AOI) Polygon Tool [image] buttons allow you to collect POI markers and AOI polygons for reference.

A left mouse click will insert a POI marker at the cursor. A right-click near a marker will prompt for a marker name, color, and optional comment. The Delete button will delete the current marker.

The left mouse button inserts AOI polygon vertices, a right-click will close the polygon. A right-click inside a polygon will prompt for a color and optional comment. The Delete button will delete the current polygon.

Profile Window

The Profile Tool [image] selects an initial cross section line location. A left mouse click selects the anchor point for the "left" end of the cross section line. Another left-click selects the "right" end point and a third selects the depth (or width) of the profile box.

A Profile window will appear horizontally above the planimetric view and the cross section box is overlaid on the planimetric view. The cross section may be moved forwards and backwards with the mouse scroll wheel or the up/down cursor (arrow) keys.

The Profile view can also be viewed by itself by closing the other views

3D Window

The 3D View button [image] opens a new window in which the points (or TIN) are displayed in perspective. The 3D View displays the same extents as the planimetric view and will follow the planimetric view as you pan and zoom.

The 3D view can also be viewed by itself by closing the other views

Navigation in the 3D View is controlled by the left, right, and middle mouse buttons. The left button rotates the data about an axis located at the center of the model. The right button slides (translates) the view horizontally. Both the scroll wheel and middle button zoom will zoom.

The panels in the 3D View status bar indicate the azimuth, elevation, relative viewing distance, and the current vertical exaggeration.

©2020 Fugro USA Land, Inc.


FugroViewer - Export from LAS Format

Export from LAS Format

The FugroViewer Export LAS Files utility allows LAS format files to be exported to ASCII and 2D or 3D ESRI point Shape files.

  • Press the Export from LAS Format button [image] or select the Export from LAS Format item in the File menu.
  • Select the items you wish to include in the files you will be exporting by placing a check next to the item. By default, only the X, Y and Z coordinates of the point will be written to the exported files.
  • Arrange the order of the items in the exported file by using the large arrow buttons. As an example, if you prefer a Northing, Easting and Elevation order, click the down arrow button with the X - Easting item selected in the list.
  • If you're exporting to ASCII, choose your delimiter if you prefer a comma or tab over spaces between the items in the exported file.
  • The Include Header in ASCII Files check box will write a single line of text at the top of the exported files indicating the type and order of the Point Record Items.
  • By default, exported files will be written to the same location as the LAS file. If you want your exported files to be written to a different directory, place a check mark next to Send exported files to another directory. This enables the Set Directory button where you can choose the location of the exported files.
  • The Filter Config button allows you to choose how the points will be filtered to the exported files. By default, all classifications and return types are selected for output. Simply uncheck the point classes and/or return types you wish to exclude. For example, if you wish to export a "reflective surface" dataset, leave all classes checked and uncheck Intermediate Returns and Last Returns. Press the OK button to dismiss the filter dialog.

  • Add the LAS files you intend to export by clicking the Add Files button.
  • If you're exporting to ASCII, you may select a filename in the file list and click the Preview button to confirm what the exported file will contain.
  • If you're exporting to ESRI Shape format, note that checking the "Z - Elevation" item will force the elevation value to be included in the DBF table for both 2D and 3D formats.
  • Select a filename in the file list and click the Remove File button to remove that file or click the Remove All button to remove every filename from the list.
  • Click the Start button to begin the export process. Pause the processing at any time by clicking the Pause button or cancel the exporting process entirely by clicking on the Stop button.
  • Click the Dismiss button to exit the Export LAS Files utility.

©2020 Fugro USA Land, Inc.


FugroViewer - User Interface

User Interface

Menus - Menu item descriptions.

Toolbar - Toolbar button descriptions.

Hotkeys - Keyboard shortcut key descriptions.

Window Status Bars - A description of the data displayed in status bars.

©2020 Fugro USA Land Inc.


FugroViewer - Menus

Menus

Startup Menus

File

Open LiDAR File(s), Open one or more LiDAR files for viewing
Set Decimation Value, Limits the number of points loaded
Export from LAS Format, Export LAS to ASCII and SHP
1,2,3,4, The four most recently loaded LiDAR files
Exit, Terminate the application

Settings

Void DEM Cell Value, For gridded data (GeoTIFF, Erdas, Radar) sets the "void" elevation value

Help

Contents and Index (F1), This help file
Hotkey List, Display available hotkeys
System Information, Display information about the computer system
License Agreement, Display the license agreement
About, Display version and contact information

Data Display Window Menus

File

Open LiDAR File(s), Open one or more LiDAR files for viewing
Add LiDAR File(s), Add more LiDAR files to the current view
Close File, Close the current view
Set Decimation Value, Limits the number of points loaded
Export from LAS Format, Export LAS to ASCII and SHP
LiDAR File Info, Display some information about the current file
Open Reference File, Display the Reference File Manager dialog to add or toggle the status of imagery or vector overlay data
1,2,3,4, The four most recently loaded LiDAR files
Exit, Terminate the application

Settings

Point Display Size, Choose the display size of LiDAR points
Point Color, Choose the display color of LiDAR points
Point Return, Choose which LiDAR returns to display
TIN Color, Choose the color scheme for the shaded TIN display
Point Display Settings, Point classification colors and visibility
TIN Display Settings, TIN color and shading options
Profile Box Width, Choose whether the Profile Box width is static
Contour Settings, Set the contour interval and contour line colors
Void DEM Cell Value, For gridded data (GeoTIFF, Erdas, Radar) sets the "void" elevation value

POI

Load POI File, Open a previously saved Point Of Interest shape file
Save POI File, Save the current POI list
Save POI File As, Save the current POI list to a new shape file
Display POI Markers, Toggle the display of POI markers
Display Marker Names, Toggle the display POI marker names
POI Settings, Choose the POI marker size and height above the terrain

AOI

Load AOI File, Open a previously saved Area Of Interest shape file
Save AOI File, Save the current AOI list
Save AOI File As, Save the current AOI list to a new shape file
Display AOI Polygons, Toggle the display of AOI polygons
AOI Settings, Choose the AOI polygon line weight

Window

Panelize All, Arranges all data windows in a "panel" layout
Panelize Active, Arranges the current window, profile, and 3D view
Cascade, Cascades all views overlapping one another
Tile Horizontal, Tiles all views top to bottom
Tile Vertical, Tiles all views side by side
1..., The list of currently open views with a check mark indicating the active view

Help

Contents and Index (F1), This help file
Hotkey List, Display available hotkeys
System Information, Display information about the computer system
License Agreement, Display the license agreement
About, Display version and contact information


FugroViewer - Tools

Tools

LiDAR File(s)

Open LiDAR File(s), Open one or more LiDAR files for viewing
Add LiDAR File(s), Add more LiDAR files to the current view
Export from LAS Format, Export LAS to ASCII and SHP

Reference Data

Open Reference File, Display the Reference File Manager dialog to add or toggle the status of imagery or vector overlay data
Display Background Reference, Toggle the display of background reference imagery
Display Overlay Reference, Toggle the display of vector overlay data
Display Points Over Background, Toggle display of LAS points when a background image or TIN is displayed

Contours and TIN

Display Contours, Toggle the display of contours
Display Color Shaded TIN, Toggle the display a color shaded TIN

Point Color

Color Points By Elevation, Blue to Red
Color Points By Elevation, Earth Tones
Color Points By Classification, Configurable through the Settings menu in Display Settings
Color Points By Intensity, Grayscale
Color Points By Source ID, Data from separate flight lines should be distinctly encoded in LAS files
Color Points By File, Data from separate source files are colored separately
Color Points By Return, Display returns separately
Color Points By RGB Encoding, RGB values from LAS v1.2

Point Return Display

Point Return Display, Select which point returns (echos) to display
Point Classification Display, Select which point classes to display
TIN Point Class Display, Select which point classes to include in TIN construction

Navigation, POI, and AOI

Dynamic Pan, Use the mouse pan across the screen (left mouse button click and drag).
Zoom Tool, Activate the Zoom Tool and use a left mouse click to zoom in 2x, right mouse click to zoom out 2x. Use a left mouse click and drag to zoom to a window or a right mouse click and drag to create a zoom out window. Use the middle mouse button to zoom to the previous extent and the mouse scroll wheel to zoom in and out.
Zoom Full Extent, Zoom to the full extent of the active LAS data file.
POI Marker Tool, Left click to insert a POI marker, right click to configure a marker
AOI Polygon Tool, Left click to select vertices, right click to close a polygon. A right click inside a polygon to configure

Query

Query Point Data, A left mouse button click near a point will display the point's coordinates, elevation, return information, classification, and source ID. A right mouse button click will dismiss the hovering query report.
Measure Tool, A left mouse button click sets the anchor point in the data display area, the distance between the anchor and the mouse pointer is displayed. A right mouse button click will cancel the measure.
Point Density Tool, A left mouse button click sets the anchor point for a window, drag the box for the area you want to calculate the point density within and then click the left mouse button again to close the box. The display will show the point density within the box. The point density will be calculated for the area outlined and based the points that you have displayed.

Data Views

Profile Tool, A left mouse click selects the anchor point for the "left" end of the cross section line. Another left click selects the "right" end point and a third selects the depth (or width) of the profile box. Use the arrow keys on the keyboard or the mouse scroll wheel to move the profile box.
Open 3D View, Opens a 3D perspective view of the current planimetric view window.

Stop and Refresh

Cancel Current Process, Cancel most processes including contour generation and screen painting
Refresh Display, Force a refresh of the current view

3D View Toolbar

Restore North Up, Sets the viewing azimuth to zero.
Zoom Full Extent, Sets the relative viewing distance to the default.
Decrease Vertical Exaggeration, Decrease the vertical exaggeration multiplier by 0.5
Increase Vertical Exaggeration, Increase the vertical exaggeration multiplier by 0.5


FugroViewer - Hotkeys

Hotkeys

Display
E | Display Background Reference
F | Display Points Over Background
T | Display Color Shaded TIN
R | Create New TIN
+ | Increase Point Display Size
- | Decrease Point Display Size

Tools
X | Dynamic Pan
Z | Zoom Tool
Q | Query Point Data
W | Measure Distance

General
F1 | Help Contents and Index
UP Arrow | Move Profile Forward
Dn Arrow | Move Profile Backward


FugroViewer - Window Status Bars

Window Status Bars

Planimetric View

The first panel displays the name of the current tool. Panel two is the zoom level. The third and fourth panels indicate the easting (X) and northing (Y) of the mouse cursor. The fifth panel displays different values depending on the current tool (e.g., the Measure tool displays horizontal distance). The last panel will display error messages.

Profile View

The first panel displays the name of the current tool. Panel two is the zoom level. The third panel displays the mouse cursor distance from the left end (starting anchor) of the cross section line. The fourth panel displays the elevation of the mouse cursor. The fifth panel displays different values depending on the current tool (e.g., the Measure tool displays vertical distance). The last panel will display error messages.

3D View

The first panel displays the name of the current tool. Panel two is the viewing azimuth. The third panel displays the viewing elevation. The fourth panel indicates the relative viewing distance. The fifth panel displays the current vertical exaggeration multiplier.